Page MenuHomePhabricator

Watermark and no default message not shown in alpha version of login form
Closed, ResolvedPublic

Description

In alpha on the minerva skin (mobile) the following should be present before the login form:

The grey box should only appear when there are no errors/warnings for submitting the form.
It should be possible to do this via a hook on the existing login form or as a change in core.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task to 2014-15 Q2 on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2015, 7:38 PM
Jdlrobson updated the task description. (Show Details)Jan 20 2015, 7:41 PM
Jdlrobson set Security to None.
Florian claimed this task.Jun 22 2015, 7:08 PM

Change 219955 had a related patch set uploaded (by Florianschmidtwelzow):
Add default login message to all Loginpages (stable/alpha)

https://gerrit.wikimedia.org/r/219955

Do we really need the logo? I think about the limited space on mobile devices and the core login page contains a button to signup, which makes the form a little bit "longer". I think we should try to make th page as short as possible? :)

I think the logo reinforces where you are and adds a sense of trust. @KHammerstein was there any reason we put an image on the login form of mobile?

(I have to say it does look much nicer with it but it would be good to have some real reasoning behind why it is there)

@Jdlrobson Agree that it does add a sense of trust. The message is inviting. I wasn't part of the original design decision. Lets add this to the alpha form for now until we have a larger conversation about the login form.

@Florian I assume you will just fix the warning message? Should we create a separate bug for the logo? e.g. split this into two?

@Florian I assume you will just fix the warning message? Should we create a separate bug for the logo? e.g. split this into two?

I think that's not needed, i'll work on the image, too, but i think it could be a bit harder but i hope it's possible with the header template field :)

Change 223348 had a related patch set uploaded (by Florianschmidtwelzow):
Add MobileFrontendLogo to alpha login/create page

https://gerrit.wikimedia.org/r/223348

Change 223349 had a related patch set uploaded (by Florianschmidtwelzow):
Allow extensions to add a banner to UserLogin and CreateAccount special pages

https://gerrit.wikimedia.org/r/223349

I'm not sure, what the correct behaviour would be:

In stable the watermark is only added, if there is no warning, no error message and you're currently not logged in:
Without watermark (if you're not logged in):
https://en.m.wikipedia.org/w/index.php?title=Special:UserLogin&returnto=Special%3AWatchlist&warning=mobile-frontend-watchlist-purpose

With watermark (if you're not logged in):
https://en.m.wikipedia.org/wiki/Special:UserLogin?mobileaction=stable

That doesn't make much sense for me, so i implemented it in the above two changes, that the watermark is always visible. But some clarification from Design would be great @KHammerstein :)

Change 219955 merged by jenkins-bot:
Add default sign in message to all login pages (stable/alpha)

https://gerrit.wikimedia.org/r/219955

Change 223349 merged by jenkins-bot:
Allow extensions to add a banner to UserLogin and CreateAccount special pages

https://gerrit.wikimedia.org/r/223349

Change 223348 merged by jenkins-bot:
Add MobileFrontendLogo to alpha login/create page

https://gerrit.wikimedia.org/r/223348

Florian closed this task as Resolved.Jul 22 2015, 6:09 PM